Bug 1109528 - [abrt] mate-window-manager: meta_screen_get_display(): marco killed by SIGSEGV
Summary: [abrt] mate-window-manager: meta_screen_get_display(): marco killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-window-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b4548b99de95a15d3f166d5312...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-14 20:51 UTC by Matthew Wilson
Modified: 2014-06-30 10:32 UTC (History)
3 users (show)

Fixed In Version: mate-window-manager-1.6.2-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 10:25:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.60 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: cgroup (172 bytes, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: core_backtrace (9.44 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: dso_list (9.50 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: environ (1.44 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: maps (47.51 KB, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: open_fds (627 bytes, text/plain)
2014-06-14 20:51 UTC, Matthew Wilson
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-06-14 20:52 UTC, Matthew Wilson
no flags Details
File: var_log_messages (334 bytes, text/plain)
2014-06-14 20:52 UTC, Matthew Wilson
no flags Details

Description Matthew Wilson 2014-06-14 20:51:39 UTC
Description of problem:
Enabled desktop composition from System->Preferences->Look and Feel->Windows.

(Never had this happen before, despite changing this option fairly often.)

Version-Release number of selected component:
mate-window-manager-1.6.2-6.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        marco
crash_function: meta_screen_get_display
executable:     /usr/bin/marco
kernel:         3.14.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 meta_screen_get_display at core/screen.c:2824
 #1 add_win at compositor/compositor-xrender.c:1813
 #2 xrender_add_window at compositor/compositor-xrender.c:2472
 #3 meta_screen_composite_all_windows at core/screen.c:826
 #4 enable_compositor at core/display.c:289
 #5 emit_changed at core/prefs.c:805
 #6 changed_idle_handler at core/prefs.c:831

Comment 1 Matthew Wilson 2014-06-14 20:51:43 UTC
Created attachment 908846 [details]
File: backtrace

Comment 2 Matthew Wilson 2014-06-14 20:51:45 UTC
Created attachment 908847 [details]
File: cgroup

Comment 3 Matthew Wilson 2014-06-14 20:51:47 UTC
Created attachment 908848 [details]
File: core_backtrace

Comment 4 Matthew Wilson 2014-06-14 20:51:49 UTC
Created attachment 908849 [details]
File: dso_list

Comment 5 Matthew Wilson 2014-06-14 20:51:51 UTC
Created attachment 908850 [details]
File: environ

Comment 6 Matthew Wilson 2014-06-14 20:51:53 UTC
Created attachment 908851 [details]
File: exploitable

Comment 7 Matthew Wilson 2014-06-14 20:51:55 UTC
Created attachment 908852 [details]
File: limits

Comment 8 Matthew Wilson 2014-06-14 20:51:57 UTC
Created attachment 908853 [details]
File: maps

Comment 9 Matthew Wilson 2014-06-14 20:51:58 UTC
Created attachment 908854 [details]
File: open_fds

Comment 10 Matthew Wilson 2014-06-14 20:52:00 UTC
Created attachment 908855 [details]
File: proc_pid_status

Comment 11 Matthew Wilson 2014-06-14 20:52:02 UTC
Created attachment 908856 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-06-20 21:29:15 UTC
mate-window-manager-1.6.2-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-window-manager-1.6.2-7.fc20

Comment 13 Fedora Update System 2014-06-20 21:29:23 UTC
mate-window-manager-1.6.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-window-manager-1.6.2-7.fc19

Comment 14 Fedora Update System 2014-06-21 23:51:29 UTC
Package mate-window-manager-1.6.2-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-window-manager-1.6.2-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7602/mate-window-manager-1.6.2-7.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-06-30 10:25:44 UTC
mate-window-manager-1.6.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-06-30 10:32:54 UTC
mate-window-manager-1.6.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.